Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007934opensim[REGION] OpenSim Corepublic2016-06-22 06:572016-06-24 02:04
Reporternebadon 
Assigned Tonebadon 
PriorityhighSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0007934: Grid Gods and Regions owners always ignore Telehubs (Regresssion)
DescriptionIn the past grid gods and region owners were bound to telehubs upon region entry unless they first enabled CTRL+ALT+G then they could bypass the telehub, now in 0.9 they always ignore the telehubs no matter what leading to things like landing inside of objects or underneath of platforms being trapped causing the need for a second telehub.
Steps To ReproduceTeleport into region with telehub set as Grid God or Region owner with god mode disabled.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics, ODE, BulletSim
EnvironmentMono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
Mono Version4.0.1
Viewer
Attached Files

- Relationships
related to 0007785closednebadon Owner teleport to regions with a landing point set are not respecting a set limited landing point 
related to 0007786closednebadon landing point set are not respecting 

-  Notes
(0030665)
aiaustin (developer)
2016-06-22 11:44
edited on: 2016-06-23 07:01

See http://opensimulator.org/mantis/view.php?id=7785 [^] for a lengthy discussion on this.

The avination merge changed the behaviour for this and led to a lot of discussion with Ubit who felt that for security reasons the teleport behaviour for region and plot owners should be changed. To get round some obvious issues of arriving avatars being trapped under terrain, this had him trying to probe for the terrain above or below an arriving avatar in some (all?) physics engines and shifting the avatar in the Z direction to be above what appears to be terrain or objects near the avatar. But we definitely get (region/plot owner) avatars that get stuck. I see it all the time when I arrive on my mesh terrain regions, and I have even opened some phantom "holes" so I know where to get out!

I still feel this regression should be reverted and the previous behaviour on teleporting into regions with telehubs and fixed landing points restored (except for those with active god powers who I assume can go anywhere).

This was one of the problems introduced by the merge that were difficult to spot until you experieced an issue in world. It was difficult to work through the changes incrementally to judge their impact as they appeared interleaved with through the branch timelines in GIT far back. I really hope that in future any code merge is done incrementally in smaller chunks to make testing and verification of the impact of changes easier to perform.

(0030698)
Diva (administrator)
2016-06-23 11:45

[11:45] <cia-opensim> opensim: diva * rb522f0916aa9 / (3 files in 2 dirs):
[11:45] <cia-opensim> Mantis 0007934 and related: landing points and telehubs for gods. Added a new configuration variable LandingPointBehavior that can switch between what we're used to in OpenSim and the behavior in SL.
(0030700)
nebadon (administrator)
2016-06-23 11:59

Tested and working, thank you much :)
(0030733)
aiaustin (developer)
2016-06-24 02:04

Confirmed that the OpenSim.ini parameters under various permutations work as advertised, and that the defaults restore previous behaviour.

- Issue History
Date Modified Username Field Change
2016-06-22 06:57 nebadon New Issue
2016-06-22 11:34 aiaustin Relationship added related to 0007785
2016-06-22 11:44 aiaustin Note Added: 0030665
2016-06-22 11:53 aiaustin Relationship added related to 0007786
2016-06-22 12:51 aiaustin Note Edited: 0030665 View Revisions
2016-06-22 12:53 aiaustin Note Edited: 0030665 View Revisions
2016-06-22 12:55 aiaustin Note Edited: 0030665 View Revisions
2016-06-22 13:08 aiaustin Note Edited: 0030665 View Revisions
2016-06-22 13:08 aiaustin Note Edited: 0030665 View Revisions
2016-06-22 13:21 aiaustin Note Edited: 0030665 View Revisions
2016-06-22 13:22 aiaustin Note Edited: 0030665 View Revisions
2016-06-23 07:01 aiaustin Note Edited: 0030665 View Revisions
2016-06-23 07:01 aiaustin Note Edited: 0030665 View Revisions
2016-06-23 11:45 Diva Note Added: 0030698
2016-06-23 11:59 nebadon Note Added: 0030700
2016-06-23 11:59 nebadon Status new => resolved
2016-06-23 11:59 nebadon Resolution open => fixed
2016-06-23 11:59 nebadon Assigned To => nebadon
2016-06-24 02:04 aiaustin Note Added: 0030733
2016-06-24 02:04 aiaustin Status resolved => closed
2016-06-24 02:04 aiaustin Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker